<bugID>406360<Summary>Typing in URL autoselects itself if browser.urlbar.clickSelectsAll is set to true</Summary><Description>tested with Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.9b2pre) Gecko/2007120104 Minefield/3.0b2pre

Steps to reproduce the bug :
1/ type about:config and set browser.urlbar.clickSelectsAll to true
2/ go to any page, click on the urlbar and type an address, say google.com

expected result:
google.com is displayed

actual result:
oogle.com is entered because after hitting g, the letter autoselects itself and is then replace by the rest of what you type

This is a regression since Firefox3beta1 does not have this bug.</Description></bugID>